# <btsorchestration>

[This is preliminary documentation and subject to change.]

Performs a set of actions on a given orchestration.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The name of the orchestration to perform an action on. | True
server | string | The name of the BizTalk server on which to perform the action. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Nested Elements:

#### <start>

Starts the orchestration.

If the orchestration is not yet enlisted, then this will be done first.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
autoenablereceivelocation | bool | Specifies whether receive locations associated with this orchestration should be automatically enabled. The default is false. | False
autoresumeorchestration | bool | Specifies whether service instances of this orchestration that were manually suspended previously should be automatically resumed. The default is true. | False
autostartsendports | bool | Specifies whether send ports and send port groups imported by this orchestration should be automatically started. The default is true. | False

#### </start>

#### <stop>

Stops the orchestration.

If the status of the orchestration is `Bound`, `Unbound` or `Stopped`, then no further processing is done.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
autodisablereceivelocation | bool | Specifies whether receive locations associated with this orchestration should be automatically disabled. The default is false. | False
autosuspendorchestrationinstance | bool | Specifies whether instances of this orchestration should be automatically suspended. The default is true. | False

#### </stop>

#### <enlist>

Enlists the orchestration by creating its activation subscription.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
host | string | Specifies the BizTalk host on which to enlist the orchestration. | True

#### </enlist>

#### <unenlist>

Unenlists the orchestration by removing its activation subscription.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
autoterminateorchestrationinstance | bool | Specifies whether instances of this orchestration type should be automatically terminated. The default is false. | False

#### </unenlist>

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)